/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.Discardable");

//<INTERFACE>
/**
 * Discardable interface, which allows to discard artifacts or the whole 
 * model.
 * 
 * @since 2.4
 * 
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.Discardable", null, {

	/**
	 * Discards the specified node, or the whole model if no node is specified.
	 * @parameter {Object} node node to discard, must not be <code>null</code>; optional
     * @type void
	 */
	discard : function(node) {
	}
});
//</INTERFACE>
