/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.Invalidatable");

//<INTERFACE>
/**
 * Invalidatable interface, which allows to invalidate artifacts or the whole 
 * model.
 * 
 * @since 2.4
 * 
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.Invalidatable", null, {

	/**
	 * Invalidates the specified node, or the whole model if no node is specified.
	 *
	 * @param {Object} node node to invalidate, must not be <code>null</code>; optional
     * @type void
	 */
	invalidate : function(node) {
	}
});
//</INTERFACE>
