/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ListModel");

dojo.require("com.ibm.mashups.enabler.model.Model");
dojo.require("com.ibm.mashups.enabler.Locator");
dojo.require("com.ibm.mashups.enabler.DeferredIterator");

/**
 * A read-only model representing a list. Acting as a base class for all concrete list models.
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.ListModel", [com.ibm.mashups.enabler.model.Model, com.ibm.mashups.enabler.Locator], {
    /**
     * Returns an iterator over elements of the list.
     *
     * @return {com.ibm.mashups.enabler.DeferredIterator} a deferred iterator
     */
    iterator: function(){
    }
});
