/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.remote.RemoteLocator");

dojo.require("com.ibm.mashups.enabler.Deferred");
dojo.require("com.ibm.mashups.enabler.remote.RemoteFile");

/**
 * Interface for finding RemoteFile objects.
 * @ibm-api
 * @ibm-module RemoteModel
 */
dojo.declare("com.ibm.mashups.enabler.remote.RemoteLocator", null, {
    /**
     * Returns the current user's home Directory.
     * @return {com.ibm.mashups.enabler.Deferred} A Deferred object for 
     * which the callback will be passed a RemoteFile.
     * @see RemoteFile 
     */
    getUserRoot: function(){
    
    }
  
});
